----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    19:36:44 07/31/2014 
-- Design Name: 
-- Module Name:    CLKCounter - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity CLKCounter is
Port 
( 
	clk_in   : in  STD_LOGIC;
	clk_out  : out  STD_LOGIC
);
end CLKCounter;

architecture Behavioral of CLKCounter is
 
	signal count : STD_LOGIC_VECTOR(19 downto 0);

begin

	process(clk_in)
	begin
		if rising_edge(clk_in) then
			count <= count + 1;
		end if;
	end process;
	
	clk_out <= count(19);

end Behavioral;