----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    16:14:12 08/06/2014 
-- Design Name: 
-- Module Name:    Position0Display - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity Position0Display is
Port 
( 
	y0   : in  STD_LOGIC_VECTOR (3 downto 0);
   seg0 : out  STD_LOGIC_VECTOR (6 downto 0)
);
end Position0Display;

architecture Behavioral of Position0Display is

	constant c0 : STD_LOGIC_VECTOR(3 downto 0) := "0000";
	constant c1 : STD_LOGIC_VECTOR(3 downto 0) := "0001";
	constant c2 : STD_LOGIC_VECTOR(3 downto 0) := "0010";
	constant c3 : STD_LOGIC_VECTOR(3 downto 0) := "0011";
	constant c4 : STD_LOGIC_VECTOR(3 downto 0) := "0100";
	constant c5 : STD_LOGIC_VECTOR(3 downto 0) := "0101";
	constant c6 : STD_LOGIC_VECTOR(3 downto 0) := "0110";
	constant c7 : STD_LOGIC_VECTOR(3 downto 0) := "0111";
	constant c8 : STD_LOGIC_VECTOR(3 downto 0) := "1000";
	constant c9 : STD_LOGIC_VECTOR(3 downto 0) := "1001";
	constant A  : STD_LOGIC_VECTOR(3 downto 0) := "1010";
	constant B  : STD_LOGIC_VECTOR(3 downto 0) := "1011";
	constant C  : STD_LOGIC_VECTOR(3 downto 0) := "1100";
	constant D  : STD_LOGIC_VECTOR(3 downto 0) := "1101";
	constant E  : STD_LOGIC_VECTOR(3 downto 0) := "1110";
	constant F  : STD_LOGIC_VECTOR(3 downto 0) := "1111";

begin

	process(y0)
	begin
		case y0 is
			when c0     => seg0 <= "0000001";
			when c1     => seg0 <= "1001111";
			when c2     => seg0 <= "0010010";
			when c3     => seg0 <= "0000110";
			when c4     => seg0 <= "1001100";
			when c5     => seg0 <= "0100100";
			when c6     => seg0 <= "0100000";
			when c7     => seg0 <= "0001101";
			when c8     => seg0 <= "0000000";
			when c9     => seg0 <= "0000100";
			when A      => seg0 <= "0001000";
			when B      => seg0 <= "1100000";
			when C      => seg0 <= "0110001";
			when D      => seg0 <= "1000010";
			when E      => seg0 <= "0110000";
			when F      => seg0 <= "0111000";
			when others => seg0 <= "1111111";
		end case;
	end process;

end Behavioral;

