----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    16:21:42 08/06/2014 
-- Design Name: 
-- Module Name:    DisplayController - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity DisplayController is
Port 
( 
	seg0    : in  STD_LOGIC_VECTOR (6 downto 0);
   seg1    : in  STD_LOGIC_VECTOR (6 downto 0);
   clk_out : in  STD_LOGIC;
   seg     : out  STD_LOGIC_VECTOR (6 downto 0);
   an      : out  STD_LOGIC_VECTOR (3 downto 0);
   dp      : out  STD_LOGIC
);
end DisplayController;

architecture Behavioral of DisplayController is

	signal seg_signal : STD_LOGIC_VECTOR (6 downto 0);

begin

	process(clk_out, seg0, seg1)
	begin
		if clk_out = '0' then
			seg_signal <= seg0;
			an         <= "1110";
		else
			seg_signal <= seg1;
			an         <= "1101";
		end if;
	end process;
	
	seg <= seg_signal;
	dp  <= '1';

end Behavioral;

