----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    13:39:35 08/13/2014 
-- Design Name: 
-- Module Name:    NBitAdder - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity NBitAdder is
	generic(N : integer := 4);
   Port( 
		a : in   STD_LOGIC_VECTOR (N-1 downto 0);
      b : in   STD_LOGIC_VECTOR (N-1 downto 0);
      y : out  STD_LOGIC_VECTOR (N-1 downto 0)
	);
end NBitAdder;

architecture Behavioral of NBitAdder is

begin

	y <= a + b;

end Behavioral;

