----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    16:06:49 08/06/2014 
-- Design Name: 
-- Module Name:    PositionValueCounter - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity PositionValueCounter is
Port 
( 
	x       : in  STD_LOGIC_VECTOR (3 downto 0);
	clk_out : in  STD_LOGIC;
	y0      : out  STD_LOGIC_VECTOR (3 downto 0);
	y1      : out  STD_LOGIC
);
end PositionValueCounter;

architecture Behavioral of PositionValueCounter is

	signal y0_signal : STD_LOGIC_VECTOR (3 downto 0);
	signal y1_signal : STD_LOGIC;

begin
	
	process(clk_out, x)
	begin
		if rising_edge(clk_out) then
			if x >= "1010" then
				y0_signal <= x - "1010";
				y1_signal <= '1';
			else
				y0_signal <= x;
				y1_signal <= '0';
			end if;
		end if;
	end process;
	
	y0 <= y0_signal;
	Y1 <= y1_signal;

end Behavioral;

